Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class JspxJspAnalyzer

    java.lang.Object
      org.makumba.devel.JspxJspAnalyzer

All Implemented Interfaces:
  JspAnalyzer

    public class JspxJspAnalyzer

extends Object
implements JspAnalyzer

Version:
  $ID $
Author:
  Cristian Bogdan

Method Summary
`Object` | `endPage(Object status)` the end of the page
`void` | `endTag(TagData td, Object status)` the end of a body tag, like
`static JspAnalyzer` | `getInstance()`
`Object` | `makeStatusHolder(Object initStatus)` make a status holder, which is passed to all other methods
`void` | `simpleTag(TagData td, Object status)` a simple tag, like <
`void` | `startTag(TagData td, Object status)` start a body tag
`void` | `systemTag(TagData td, Object status)` a system tag, like <%@

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static JspAnalyzer getInstance()

### makeStatusHolder

    public Object makeStatusHolder(Object initStatus)

  make a status holder, which is passed to all other methods

  Specified by:
    `makeStatusHolder` in interface `JspAnalyzer`
  Parameters:
    `initStatus` - an initial status to be passed to the JspAnalyzer. for example, the pageContext for an example-based analyzer

### startTag

    public void startTag(TagData td,
                         Object status)

  start a body tag

  Specified by:
    `startTag` in interface `JspAnalyzer`
  Parameters:
    `td` - the TagData holding the parsed data
    `status` - the status of the parsing
  See Also:
    `#endTag(JspParseData.TagData, Object)`

### endTag

    public void endTag(TagData td,
                       Object status)

  the end of a body tag, like

  Specified by:
    `endTag` in interface `JspAnalyzer`
  Parameters:
    `td` - the TagData holdking the parsed data
    `status` - the status of the parsing

### simpleTag

    public void simpleTag(TagData td,
                          Object status)

  a simple tag, like <... />

  Specified by:
    `simpleTag` in interface `JspAnalyzer`
  Parameters:
    `td` - the TagData holdking the parsed data
    `status` - the status of the parsing

### systemTag

    public void systemTag(TagData td,
                          Object status)

  a system tag, like <%@ ...%>

  Specified by:
    `systemTag` in interface `JspAnalyzer`
  Parameters:
    `td` - the TagData holdking the parsed data
    `status` - the status of the parsing

### endPage

    public Object endPage(Object status)

  the end of the page

  Specified by:
    `endPage` in interface `JspAnalyzer`
  Parameters:
    `status` - the status of the parsing
  Returns:
    the result of the analysis

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20